PETSc version 3.15.5
Fix/Edit manual page

# DMNetworkGetLocalVecOffset

Get the offset for accessing the variables associated with a component at the given vertex/edge from the local vector

### Synopsis

    #include "petscdmnetwork.h"
    PetscErrorCode DMNetworkGetLocalVecOffset(DM dm,PetscInt p,PetscInt compnum,PetscInt *offset)

Not Collective

### Input Parameters

| dm | - the DMNetwork object
| p | - the edge/vertex point
| compnum | - component number; use ALL_COMPONENTS if no specific component is requested

### Output Parameters

| offset | - the local offset

### See Also

DMGetLocalVector(), DMNetworkGetComponent(), DMNetworkGetGlobalVecOffset()

### Level

intermediate

### Location

src/dm/impls/network/network.c
Index of all DMNetwork routines
Table of Contents for all manual pages
Index of all manual pages